package com.osbcp.css.constants;

import java.io.Serializable;

/**
 * Values for the <i>background-attachment</i> property.
 * 
 * @see <a href="http://www.w3schools.com/cssref/pr_background-attachment.asp">CSS background-attachment Property</a>
 * @author <a href="mailto:christoffer@christoffer.me">Christoffer Pettersson</a>
 */

public enum BackgroundAttachment implements Serializable {

	/**
	 * The background image scrolls with the rest of the page. This is default.
	 */
	SCROLL,

	/**
	 * The background image is fixed.
	 */
	FIXED,

	/**
	 * Specifies that the setting of the background-attachment property should be inherited from the parent element.
	 */
	INHERIT;

	@Override
	public String toString() {
		return name().toLowerCase();
	}

}