package com.osbcp.css.constants;

import java.io.Serializable;

/**
 * Values for the <i>background-position</i> property.
 * 
 * @see <a href="http://www.w3schools.com/cssref/pr_background-attachment.asp">CSS background-attachment Property</a>
 * @author <a href="mailto:christoffer@christoffer.me">Christoffer Pettersson</a>
 */

public enum BackgroundPosition implements Serializable {

	/**
	 * Left top position.
	 */

	LEFT_TOP,

	/**
	 * Left center position.
	 */

	LEFT_CENTER,

	/**
	 * Left bottom position.
	 */

	LEFT_BOTTOM,

	/**
	 * Right top position.
	 */

	RIGHT_TOP,

	/**
	 * Right center position.
	 */

	RIGHT_CENTER,

	/**
	 * Right bottom position.
	 */

	RIGHT_BOTTOM,

	/**
	 * Center top position.
	 */

	CENTER_TOP,

	/**
	 * Center center position.
	 */

	CENTER_CENTER,

	/**
	 * Center bottom position.
	 */

	CENTER_BOTTOM;

	@Override
	public String toString() {
		return name().toLowerCase().replace("_", " ");
	}

}