package com.osbcp.css.constants;

import java.io.Serializable;

/**
 * Values for the <i>border-width</i> property.
 * 
 * @see <a href="http://www.w3schools.com/cssref/pr_border-width.asp">CSS border-width Property</a>
 * @author <a href="mailto:christoffer@christoffer.me">Christoffer Pettersson</a>
 */

public enum BorderWidth implements Serializable {

	/**
	 * Specifies a thin border.
	 */
	THIN,

	/**
	 * Specifies a medium border. This is default.
	 */
	MEDIUM,

	/**
	 * 	Specifies a thick border.
	 */
	THICK,

	/**
	 * 	Specifies that the border width should be inherited from the parent element.
	 */
	INHERIT;

	@Override
	public String toString() {
		return name().toLowerCase().replace("_", "-");
	}

}