package com.osbcp.css.constants;

import java.io.Serializable;

/**
 * Values for the <i>float</i> property.
 * 
 * @see <a href="http://www.w3schools.com/cssref/pr_class_float.asp">http://www.w3schools.com/cssref/pr_class_float.asp</a>
 * @author <a href="mailto:christoffer@christoffer.me">Christoffer Pettersson</a>
 */

public enum Float implements Serializable {

	/**
	 * The element floats to the left.
	 */

	LEFT,

	/**
	 * The element floats the right.
	 */

	RIGHT,

	/**
	 * 	The element is not floated, and will be displayed just where it occurs in the text. This is default.
	 */

	NONE,

	/**
	 * Specifies that the value of the float property should be inherited from the parent element.
	 */

	INHERIT;

	@Override
	public String toString() {
		return name().toLowerCase();
	}

}