package com.osbcp.css.constants;

import java.io.Serializable;

/**
 * Values for the <i>font-style</i> property.
 * 
 * @see <a href="http://www.w3schools.com/cssref/pr_font_font-style.asp">CSS font-style Property</a>
 * @author <a href="mailto:christoffer@christoffer.me">Christoffer Pettersson</a>
 */

public enum FontStyle implements Serializable {

	/**
	 * The browser displays a normal font style. This is default.
	 */
	NORMAL,

	/**
	 * 	The browser displays an italic font style.
	 */
	ITALIC,

	/**
	 * The browser displays an oblique font style.
	 */
	OBLIQUE,

	/**
	 * Specifies that the font style should be inherited from the parent element.
	 */
	INHERIT;

	@Override
	public String toString() {
		return name().toLowerCase();
	}

}