package com.osbcp.css.constants;

import java.io.Serializable;

/**
 * Values for the <i>font-variant</i> property.
 * 
 * @see <a href="http://www.w3schools.com/cssref/pr_font_font-variant.asp">CSS font-variant Property</a>
 * @author <a href="mailto:christoffer@christoffer.me">Christoffer Pettersson</a>
 */

public enum FontVariant implements Serializable {

	/**
	 * The browser displays a normal font. This is default.
	 */
	NORMAL,

	/**
	 * 	The browser displays a small-caps font.
	 */
	SMALL_CAPS,

	/**
	 * Specifies that the font variant should be inherited from the parent element.
	 */
	INHERIT;

	@Override
	public String toString() {
		return name().toLowerCase().replace("_", "-");
	}

}