package com.osbcp.css.constants;

import java.io.Serializable;

/**
 * Values for the <i>font-weight</i> property.
 * 
 * @see <a href="http://www.w3schools.com/cssref/pr_font_weight.asp">CSS font-weight Property</a>
 * @author <a href="mailto:christoffer@christoffer.me">Christoffer Pettersson</a>
 */

public enum FontWeight implements Serializable {

	/**
	 * Defines normal characters. This is default.
	 */
	NORMAL,

	/**
	 * Defines thick characters.
	 */
	BOLD,

	/**
	 * Defines thicker characters.
	 */
	BOLDER,

	/**
	 * 	Defines lighter characters.
	 */
	LIGHTER,

	/**
	 * Defines from thin to thick characters. 400 is the same as normal, and 700 is the same as bold.
	 */
	W100,

	/**
	 * Defines from thin to thick characters. 400 is the same as normal, and 700 is the same as bold.
	 */
	W200,

	/**
	 * Defines from thin to thick characters. 400 is the same as normal, and 700 is the same as bold.
	 */
	W300,

	/**
	 * Defines from thin to thick characters. 400 is the same as normal, and 700 is the same as bold.
	 */
	W400,

	/**
	 * 
	 */
	W500,

	/**
	 * Defines from thin to thick characters. 400 is the same as normal, and 700 is the same as bold.
	 */
	W600,

	/**
	 * Defines from thin to thick characters. 400 is the same as normal, and 700 is the same as bold.
	 */
	W700,

	/**
	 * Defines from thin to thick characters. 400 is the same as normal, and 700 is the same as bold.
	 */
	W800,

	/**
	 * Defines from thin to thick characters. 400 is the same as normal, and 700 is the same as bold.
	 */
	W900;

	@Override
	public String toString() {
		return name().toLowerCase();
	}

}