package com.osbcp.css.constants;

import java.io.Serializable;

/**
 * Values for the <i>list-style-position</i> property.
 * 
 * @see <a href="http://www.w3schools.com/cssref/pr_list-style-position.asp">CSS list-style-position Property</a>
 * @author <a href="mailto:christoffer@christoffer.me">Christoffer Pettersson</a>
 */

public enum ListStylePosition implements Serializable {

	/**
	 *Indents the marker and the text. The bullets appear inside the content flow.
	 */
	INSIDE,

	/**
	 * Keeps the marker to the left of the text. The bullets appears outside the content flow. This is default.
	 */
	OUTSIDE,

	/**
	 * Specifies that the value of the list-style-position property should be inherited from the parent element.
	 */
	INHERIT;

	@Override
	public String toString() {
		return name().toLowerCase().replace("_", "-");
	}

}