package com.osbcp.css.constants;

import java.io.Serializable;

/**
 * Values for the <i>outline-width</i> property.
 * 
 * @see <a href="http://www.w3schools.com/cssref/pr_outline-width.asp">CSS outline-width Property</a>
 * @author <a href="mailto:christoffer@christoffer.me">Christoffer Pettersson</a>
 */

public enum OutlineWidth implements Serializable {

	/**
	 * Specifies a thin outline.
	 */
	THIN,

	/**
	 * Specifies a medium outline. This is default.
	 */
	MEDIUM,

	/**
	 * 	Specifies a thick outline.
	 */
	THICK,

	/**
	 * 	Specifies that the width of the outline should be inherited from the parent element.
	 */
	INHERIT;

	@Override
	public String toString() {
		return name().toLowerCase().replace("_", "-");
	}

}