package com.osbcp.css.constants;

import java.io.Serializable;

/**
 * Values for the <i>text-align</i> property.
 * 
 * @see <a href="http://www.w3schools.com/cssref/pr_text_text-align.asp">CSS text-align Property</a>
 * @author <a href="mailto:christoffer@christoffer.me">Christoffer Pettersson</a>
 */

public enum TextAlign implements Serializable {

	/**
	 * Aligns the text to the left.
	 */
	LEFT,

	/**
	 * 	Aligns the text to the right.
	 */
	RIGHT,

	/**
	 * Centers the text.
	 */
	CENTER,

	/**
	 * Stretches the lines so that each line has equal width (like in newspapers and magazines).
	 */
	JUSTIFY,

	/**
	 * Specifies that the value of the text-align property should be inherited from the parent element.
	 */
	INHERIT;

	@Override
	public String toString() {
		return name().toLowerCase();
	}

}