package com.osbcp.css.constants;

import java.io.Serializable;

/**
 * Values for the <i>text-direction</i> property.
 * 
 * @see <a href="http://www.w3schools.com/cssref/pr_text_direction.asp">CSS direction Property</a>
 * @author <a href="mailto:christoffer@christoffer.me">Christoffer Pettersson</a>
 */

public enum TextDirection implements Serializable {

	/**
	 * The writing direction is left-to-right. This is default.
	 */
	LTR,

	/**
	 * The writing direction is right-to-left.
	 */
	RTL,

	/**
	 * Specifies that the value of the direction property should be inherited from the parent element.
	 */
	INHERIT;

	@Override
	public String toString() {
		return name().toLowerCase();
	}

}