/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 */

package com.osbcp.css;

import com.osbcp.css.constants.PseudoSelector;
import com.osbcp.css.constants.TextDecoration;

public final class MyStylesheet {

	public static final CSS alertText = new CSS() {

		{
			setColor("white");
			setBackgroundColor("red");
		}

	};

	public static final CSS box = new CSS() {

		{
			setMargin(PX(50), AUTO);
		}

	};

	public static final CSS link = new CSS() {

		{
			setTextDecoration(TextDecoration.NONE);
			addPseudoSelector(PseudoSelector.HOVER, new CSS() {

				{
					setTextDecoration(TextDecoration.UNDERLINE);
				}

			});
		}

	};

}